


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: UpdateProjectCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: UpdateProjectCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">UpdateProjectCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 16)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.ProjectService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.models.UpdateProjectRequest;
<i>7</i>&nbsp;
<i>8</i>&nbsp;import java.util.Set;
<i>9</i>&nbsp;
<i>10</i>&nbsp;public class UpdateProjectCommand implements Command {
<i>11</i>&nbsp;    private final ProjectService projectService;
<i>12</i>&nbsp;    private final ApplicationContext applicationContext;
<i>13</i>&nbsp;
<b class="nc"><i>14</i>&nbsp;    public UpdateProjectCommand(ProjectService projectService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>15</i>&nbsp;        this.projectService = projectService;</b>
<b class="nc"><i>16</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>17</i>&nbsp;    }</b>
<i>18</i>&nbsp;
<i>19</i>&nbsp;    @Override
<i>20</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>21</i>&nbsp;        return &quot;Update a current project with parameters:\n-o for current project name\n-c specify which company the &quot; +</b>
<i>22</i>&nbsp;                &quot;project originates from\n-n optional parameter to change the name of the project\n-s optional&quot; +
<i>23</i>&nbsp;                &quot; parameter to change the due date\nExample of usage:\nupdate-project -o \&quot;My Project\&quot; -c \&quot;My Company\&quot; -n \&quot;My New Project Name\&quot;&quot;;
<i>24</i>&nbsp;    }
<i>25</i>&nbsp;
<i>26</i>&nbsp;    @Override
<i>27</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>28</i>&nbsp;        return &quot;update-project&quot;;</b>
<i>29</i>&nbsp;    }
<i>30</i>&nbsp;
<i>31</i>&nbsp;    @Override
<i>32</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>33</i>&nbsp;        return CommandGroup.PROJECT_ADMINISTRATION;</b>
<i>34</i>&nbsp;    }
<i>35</i>&nbsp;
<i>36</i>&nbsp;    @Override
<i>37</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>38</i>&nbsp;        return Utils.newHashSet(</b>
<i>39</i>&nbsp;                new Parameter(&quot;o&quot;),
<i>40</i>&nbsp;                new Parameter(&quot;c&quot;),
<i>41</i>&nbsp;                new Parameter(&quot;n&quot;, false),
<i>42</i>&nbsp;                new Parameter(&quot;d&quot;, false)
<i>43</i>&nbsp;        );
<i>44</i>&nbsp;    }
<i>45</i>&nbsp;
<i>46</i>&nbsp;    @Override
<i>47</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>48</i>&nbsp;        UpdateProjectRequest request = new UpdateProjectRequest();</b>
<i>49</i>&nbsp;
<b class="nc"><i>50</i>&nbsp;        int projectId = projectService.getProjectId(parsedCommand.get(&quot;c&quot;), parsedCommand.get(&quot;o&quot;));</b>
<i>51</i>&nbsp;
<b class="nc"><i>52</i>&nbsp;        request.setId(projectId);</b>
<b class="nc"><i>53</i>&nbsp;        parsedCommand.getOptional(&quot;n&quot;).ifPresent(request::setName);</b>
<b class="nc"><i>54</i>&nbsp;        parsedCommand.getOptional(&quot;d&quot;).ifPresent(request::setDueDate);</b>
<i>55</i>&nbsp;
<b class="nc"><i>56</i>&nbsp;        projectService.updateProject(request, applicationContext.getUserContextOrThrow());</b>
<b class="nc"><i>57</i>&nbsp;        System.out.println(&quot;Sucessfully updated project&quot;);</b>
<b class="nc"><i>58</i>&nbsp;    }</b>
<i>59</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
